/* basics */
:root{
  --red:#c00;
  --green:#060;
  --blue:#009;
  --yellow:#f90;
  --black:#000;
  --darker:#333;
  --dark:#666;
  --grey:#ccc;
  --white:#fff;
  --pink:#f0f;
  --lime:#0f0;
}
*,html{overflow-x:none;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}
.line{border-bottom:1px solid var(--white);margin-bottom:0.2em;}

/* desktop */
body{font-family:sans-serif;letter-spacing:1.5px;font-size:18px;line-height:25px;font-weight:400;color:var(--white);}
p{margin:0.8em;text-shadow:0 0 5px var(--black);}
.bodybg{background:url('bg.jpg') no-repeat;background-attachment:fixed;background-size:cover;display:grid;align-items:center;justify-content:center;height:100vh;background-color:var(--darker);background-blend-mode:exclusion;}
h1{text-align:center;text-transform:uppercase;font-weight:bold;letter-spacing:-4px;text-shadow:0 0 2px var(--black);}
h2{text-transform:uppercase;font-weight:bold;letter-spacing:-2px;margin-left:0.5em;text-shadow:0 0 5px var(--black);}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:var(--dark);}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#wrapper{width:auto;height:auto;position:absolute;top:0;display:inline-block;transform:perspective(4000px) rotateY(90deg) translateX(-15px) scale(0.9);transition:all 1s ease-in-out;}
.wrapperfx{background:url('pattern.jpg');box-shadow:-5px 0 8px 2px rgba(0,0,0,0.4);border:2px solid var(--darker);border-radius:10px;padding:0.5em 1.5em 1.5em 1.5em;}
.rotatein{transform:perspective(4000px) rotateY(20deg) translateX(-15px) scale(0.9) !important;}
#info{width:28em;margin:0 2em 2em 0;float:left;font-size:0.8em;}
#grid{min-width:16em;margin:3em 0 2em 0;float:right;}
.box{width:2em;height:2em;background-color:rgba(0,0,0,0.05);border:1px solid rgba(255,255,255,0.75);border-radius:2em;float:left;margin:0.4em 0.15em;box-shadow:inset 0 0 8px rgba(0,0,0,0.8);}
.box>.glare{width:12px;height:12px;background-color:rgba(255,255,255,0.2);border-radius:15px;margin:6px;pointer-events:none;display:none;}
.clickable>.box{cursor:pointer;}
.marker{width: 0.8em;height: 0.8em;background-color:rgba(0,0,0,0.2);border:1px solid rgba(255,255,255,0.75);border-radius: 0.5em;float: left;margin: 1.05em 0 0 0.5em;}
p>span.marker{margin:0.6em 0.5em 0 0.1em;}
p.colors{padding-left:2.5em;}
.button{width:8em;float:left;border:1px solid var(--black);border-radius:2em;font-size:0.8em;text-transform:uppercase;margin:6px 0 2px 0;padding:6px 8px 8px 8px;text-align:center;cursor:pointer;transition:all 0.15s ease-in-out;}
.button::first-letter{font-weight:bold;border-bottom:2px solid currentColor;}
.btnnew{background-color:var(--black);color:var(--white);}
.btnnew:hover{background-color:var(--red);border-color:var(--red);color:var(--white);}
.btnok{float:right;background-color:var(--black);color:var(--white);}
.btnok:hover{background-color:var(--green);border-color:var(--darker);color:var(--white);}
.red{background-color:var(--red);}
.green{background-color:var(--green);}
.blue{background-color:var(--blue);}
.yellow{background-color:var(--yellow);}
.black{background-color:var(--black);}
.white{background-color:var(--white);}
.pink{background-color:var(--pink);}
.lime{background-color:var(--lime);}